﻿
(function ($) {
    $.fn.slide_show = function (myslider12,slider_what) {
        "use strict";
        var $this = $(this);
        var myslider = $(myslider12);

        //define vars

        var hs = {
            imgs: '',           //all images in div#slider tag
            width: $(window).innerWidth(),
            padding_right: 0,
            imgload: '',        //loading div tag
            allslides: $(myslider).find(".slide_div").length,      //all slide of the myslider
            next_slide: $($this).find('.arrow_slide_r'),     //a tag for going to next slide
            prev_slide: $($this).find('.arrow_slide_l'),     //a tag for going to previous slide
            img2: '',           //img.image2 tag for animation slide
            activeslide: 1,    //number of slides that is actived
            slide: $(myslider).find(".slide_div"),
            slidecount: 0,
            src: '',            //src of image
            all_divs: $(myslider).find('div.all_divs'),
            myslider_width: 0,
            showslidesCount: 0,
            page_slide: 0,
            to_right: 0,
            thumb: $(myslider).attr('data-thumb'),
        }

        function remove() {
            if ($(myslider).parents('.Diagrams').find('.my_slide_pager.this' + slider_what).length == 0) {
                var dot = '<span class="my_pager">•</span>';
                var dots = '';
                for (var j = 1; j <= hs.allslides; j++) {
                    dots += dot;
                }
                $(myslider).after('<div class="my_slide_pager this' + slider_what + '">' + dots + '</div>');
            }
        }
        remove();
        function isInt(n) {
            return Number(n) === n && n % 1 === 0;
        }

        function isFloat(n) {
            return n === Number(n) && n % 1 !== 0;
        }
        var slideresize = function () {
            hs.myslider_width = $(myslider).width();
            hs.page_slide = hs.allslides / 1;
            if (isFloat(hs.page_slide)) {
                hs.page_slide = parseInt(hs.page_slide) + 1;
            }

            hs.slide = $(myslider).find(".slide_div");

            for (var k = 0; k < 1; k++) {
                $(hs.slide[k]).css('display', 'inline-block');
            }
        };
        var sethtml = function () {
            if (hs.allslides == 1) {
                $(hs.next_slide).remove();
                $(hs.prev_slide).remove();
            }
            var pager;
            for (var p = 0; p <= hs.allslides; p++) {
                if (p == hs.activeslide) {
                    pager = $(myslider).next('.my_slide_pager').find('.my_pager')[p - 1];
                    $(pager).css('color', 'red');
                }
                else {
                    pager = $(myslider).next('.my_slide_pager').find('.my_pager')[p - 1];
                    $(pager).css('color', 'white');
                }
            }
            $(hs.slide).css('width', $(myslider).width());
            $(myslider).css('height', $(hs.slide).height());
            set_center('.slide_div', '.arrow_slide_l,.arrow_slide_r');
            hs.to_right = parseInt((hs.all_divs).css('right'));
            if (hs.activeslide === 1) {
                $(hs.next_slide).css({
                    'opacity': '1',
                    'cursor': 'pointer'
                }).removeClass('hover');

                $(hs.prev_slide).css({
                    'opacity': '0.5',
                    'cursor': 'auto'
                }).addClass('hover');
            }
            else if (hs.activeslide === hs.allslides) {
                $(hs.prev_slide).css({
                    'opacity': '1',
                    'cursor': 'pointer'
                }).removeClass('hover');

                $(hs.next_slide).css({
                    'opacity': '0.5',
                    'cursor': 'auto'
                }).addClass('hover');
            }
            else {
                $(hs.prev_slide).css({
                    'opacity': '1',
                    'cursor': 'pointer'
                }).addClass('hover');
                $(hs.next_slide).css({
                    'opacity': '1',
                    'cursor': 'pointer'
                }).addClass('hover');

            }
        };

        var slideshow = function (dir) {
            if (dir && !((1 * (hs.slidecount + 1)) >= hs.allslides)) {
                hs.activeslide++;
                hs.slidecount++;
                for (var j = 1 * hs.slidecount; j <= (1 * (hs.slidecount + 1)) - 1 ; j++) {
                    $(hs.slide[j]).css('display', 'inline-block');
                }
                $(hs.all_divs).css(
                    'transform', 'translate3d(' + parseInt(-(hs.myslider_width * hs.slidecount)) + 'px,0,0)'
                );

                sethtml();
            }
            else if (!dir && (1 * (hs.slidecount + 1)) > 1) {
                hs.activeslide--;
                hs.slidecount--;
                for (var j = 1 * hs.slidecount; j <= (1 * (hs.slidecount + 1)) - 1 ; j++) {
                    $(hs.slide[j]).css('display', 'inline-block');
                }
                if (hs.thumb)
                    $(hs.all_divs).css(
                        'transform', 'translate3d(' + parseInt(-(hs.myslider_width * hs.slidecount)) + 'px,0,0)'
                    );
                else
                    $(hs.all_divs).css(
                        'transform', 'translate3d(' + parseInt(-(hs.myslider_width * hs.slidecount)) + 'px,0,0)'
                    );

                sethtml();
            }
        };
        $(hs.prev_slide).click(function () {
            slideshow(0);
        });
        $(hs.next_slide).click(function () {
            slideshow(1);
        });

        $(myslider).swiperight(function () {
            slideshow(0);
        });
        $(myslider).swipeleft(function () {
            slideshow(1);
        });

        slideresize();

        $(window).resize(function () {
            slideresize();
        });
        sethtml();
    }
})(jQuery);


